## slony1 1.2.9

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2004, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.13 2006/08/02 15:32:02 xfade Exp $
+#	$Id: Makefile,v 1.13 2006-08-02 15:32:02 xfade Exp $
 # ----------
 
 slony_subdir = src
