=== doc/adminguide/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # PostgreSQL documentation makefile
 #
-# $Id: Makefile,v 1.19 2006/08/02 15:32:01 xfade Exp $
+# $Id: Makefile,v 1.19 2006-08-02 15:32:01 xfade Exp $
 #
 #----------------------------------------------------------------------------
