=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2004, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.13 2006-08-02 15:32:02 xfade Exp $
+#	$Id: Makefile,v 1.13.2.2 2007-10-26 18:35:22 cbbrowne Exp $
 # ----------
 
 slony_subdir = src
@@ -15,6 +15,8 @@
 SUBDIRS = xxid parsestatements slon slonik backend ducttape
 ifeq ($(PORTNAME),win32)
 SUBDIRS += slevent
+else
+SUBDIRS += slony_logshipper
 endif
 
 all install installdirs clean distclean maintainer-clean:
