=== doc/implementation/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2004, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-# $Id: Makefile,v 1.12 2006/08/02 15:32:01 xfade Exp $
+# $Id: Makefile,v 1.12 2006-08-02 15:32:01 xfade Exp $
 # ----------
 
 slony_subdir = doc/implementation
