=== src/parsestatements/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 	cmp ./emptytestresult.log emptytestresult.expected$(SUFFIX)
 	./test-scanner < ./test_sql.sql > test_sql.log
 	cmp ./test_sql.log ./test_sql.expected$(SUFFIX)
+	./test-scanner < ./cstylecomments.sql > cstylecomments.log
+	cmp ./cstylecomments.log ./cstylecomments.expected$(SUFFIX)
 
 install:
