## slony1 1.2.20

=== debian/changelog ===
slony1 (1.2.20-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Tue, 22 Dec 2009 21:47:03 +0200

slony1 (1.2.17-2) unstable; urgency=low

  * Switched source format to 3.0 (quilt)
  * Built against PostgreSQL 8.4
  (merged from experimental 2.0.2-1:)
  * Added minimal man pages for altperl tools
  (merged from experimental 2.0.1-1:)
  * Added patch descriptions
  * Run the man page generation out of the patched upstream build system
    instead of separately in debian/rules, for better maintainability

 -- Peter Eisentraut <petere@debian.org>  Fri, 27 Nov 2009 23:18:03 +0200

slony1 (1.2.17-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Sun, 01 Nov 2009 16:20:05 +0200

slony1 (1.2.16-2) unstable; urgency=low

  * Altered include order in configure script to fix test results and FTBFS
    (closes: #536929)
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Sun, 25 Oct 2009 22:12:34 +0200

slony1 (1.2.16-1) unstable; urgency=low

  * New upstream release
  * Fixed buglet in slony1-bin.README.Debian
  * Updated standards version
  (merged from experimental 2.0.2-1:)
  * Updated package sections
  * Added build dependency autotools-dev, per lintian
  * Removed binary control fields duplicated from source package, per lintian
  * Differentiated the short descriptions for all packages, per lintian
  (merged from experimental 2.0.1-1:)
  * Added ${misc:Depends} everywhere, per lintian
  * Install Slony-I-concept.pdf instead of .ps; apparently works again after 
    having been broken some time ago

 -- Peter Eisentraut <petere@debian.org>  Thu, 21 May 2009 02:48:45 +0300

slony1 (1.2.15-1) unstable; urgency=low

  * New upstream release
  * Replaced build dependency gs-gpl by ghostscript again
  * Updated standards version
  * Changed to debhelper level 7
  * Added libdbd-pg-perl to Recommends (closes: #499548)

 -- Peter Eisentraut <petere@debian.org>  Sat, 01 Nov 2008 14:28:08 +0200

slony1 (1.2.14-1) unstable; urgency=low

  * New upstream release
    - Obsoletes slonik-share-path.patch
  * Replaced build dependency ghostscript by gs-gpl, while ghostscript is
    broken
  * Fixed/updated doc-base section
  * Added a few more scripts from the tools directory

 -- Peter Eisentraut <petere@debian.org>  Tue, 20 May 2008 03:42:05 +0200

slony1 (1.2.13-1) unstable; urgency=low

  * New upstream release
    - Obsolete patches: bindir.patch
  * Built against PostgreSQL 8.3 (closes: #462503, #464374)
  * Updated standards version
  * Replaced build dependency gs-gpl by ghostscript (closes: #456900)

 -- Peter Eisentraut <petere@debian.org>  Thu, 14 Feb 2008 01:42:56 +0100

slony1 (1.2.12-1) unstable; urgency=low

  * New upstream release
    - Fixes execute script functionality (closes: #446992)
  * Added Homepage control field
  * Added openntpd and chrony as alternatives for ntp (closes: #448799)

 -- Peter Eisentraut <petere@debian.org>  Tue, 13 Nov 2007 17:23:55 +0100

slony1 (1.2.11-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Wed, 05 Sep 2007 11:01:55 +0200

slony1 (1.2.10-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 02 Jul 2007 12:59:24 +0200

slony1 (1.2.9-3) unstable; urgency=low

  * Build-depend on docbook2x >= 0.8.8-4 so that the man pages are built
    correctly
  * Added docbook-xml as build dependency

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 May 2007 16:59:59 +0200

slony1 (1.2.9-2) unstable; urgency=low

  * Added slony1_extract_schema.sh script to examples (closes: #403889)
  * Built against PostgreSQL 8.2 (closes: #419308, #419586, #419965)

 -- Peter Eisentraut <petere@debian.org>  Fri, 20 Apr 2007 10:33:31 +0200

slony1 (1.2.9-1) unstable; urgency=low

  * New upstream release
  * Updated watch file

 -- Peter Eisentraut <petere@debian.org>  Tue, 27 Mar 2007 18:09:07 +0200

slony1 (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 19 Mar 2007 10:23:27 +0100

slony1 (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon, 12 Mar 2007 11:32:51 +0100

slony1 (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Wed, 17 Jan 2007 10:09:15 +0100

slony1 (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Mon,  8 Jan 2007 12:43:37 +0100

slony1 (1.2.2-1) unstable; urgency=low

  * New upstream release
    - Updated 07_sample.patch, 10_perltools-start.patch
    - Obsoleted patches: make-clean.patch
  * Fixed slony_show_configuration

 -- Peter Eisentraut <petere@debian.org>  Wed, 20 Dec 2006 10:51:28 +0100

slony1 (1.2.1-1) unstable; urgency=low

  * New upstream release
    - Updated no-client-log.patch
    - Obsoleted patches: hardcoded-paths.patch
  * Updated watch file
  * Reenabled Perl tools
  * Added missing final newline to slon.conf-sample
  * Updated test script

 -- Peter Eisentraut <petere@debian.org>  Fri, 17 Nov 2006 17:19:48 +0100

slony1 (1.2.0-1) unstable; urgency=low

  * New upstream release
    - Updated 05_includedir-order.patch
    - Obsoleted patches: 01_configure.patch, 06_mansect.patch
  * Don't build broken Slony-I-concept.pdf
  * Specify pgpkglibdir manually, drop build dependency on postgresql
    server package
  * Use --with-perlsharedir option
  * Removed creation of spurious directories under /var/log/slony1
  * Disabled Perl tools because of massive security problems

 -- Peter Eisentraut <petere@debian.org>  Thu, 19 Oct 2006 15:39:11 +0200

slony1 (1.1.5-4) unstable; urgency=low

  * Added Perl tools
  * Added $local_fs to LSB init script headers

 -- Peter Eisentraut <petere@debian.org>  Wed, 18 Oct 2006 11:43:35 +0200

slony1 (1.1.5-3) unstable; urgency=medium

  * Changed recommendation of ntp-server to ntp (closes: #380371)

